# DataExchange
TKXDESTEP
STEPCAFControl

# STEPCAFControl_DataMapNodeOfDataMapOfPDExternFile Class Reference

`#include <STEPCAFControl_DataMapNodeOfDataMapOfPDExternFile.hxx>`

## Public Member Functions

| STEPCAFControl_DataMapNodeOfDataMapOfPDExternFile (const Handle(StepBasic_ProductDefinition)&K, const Handle(STEPCAFControl_ExternFile)&I, const TCollection_MapNodePtr &n)
Handle_StepBasic_ProductDefinition & | Key () const
Handle_STEPCAFControl_ExternFile & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_ProductDefinition | myKey
Handle_STEPCAFControl_ExternFile | myValue

## Constructor & Destructor Documentation

STEPCAFControl_DataMapNodeOfDataMapOfPDExternFile::STEPCAFControl_DataMapNodeOfDataMapOfPDExternFile | ( | const Handle(StepBasic_ProductDefinition)& | K,
|  | const Handle(STEPCAFControl_ExternFile)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const STEPCAFControl_DataMapNodeOfDataMapOfPDExternFile::Handle | ( | Standard_Type |  | ) | const

Handle_StepBasic_ProductDefinition& STEPCAFControl_DataMapNodeOfDataMapOfPDExternFile::Key | ( |  | ) | const

Handle_STEPCAFControl_ExternFile& STEPCAFControl_DataMapNodeOfDataMapOfPDExternFile::Value | ( |  | ) | const

## Field Documentation

Handle_StepBasic_ProductDefinition STEPCAFControl_DataMapNodeOfDataMapOfPDExternFile::myKey `[private]`

Handle_STEPCAFControl_ExternFile STEPCAFControl_DataMapNodeOfDataMapOfPDExternFile::myValue `[private]`

The documentation for this class was generated from the following file:

- STEPCAFControl_DataMapNodeOfDataMapOfPDExternFile.hxx